> For the complete documentation index, see [llms.txt](https://docs.jakebot.co.uk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.jakebot.co.uk/slightly-more-advanced-settings/styling-results.md).

# Styling Results

{% hint style="warning" %}
**Warning:** [Message commands](/basic-usage-and-setup/message-commands-really-cool.md) cannot be styled at this time.
{% endhint %}

<details>

<summary>View Style Options</summary>

`/settings2 style view_options`

View all the different styles available, with examples provided. You can also [view all the styles here!](https://jakebot.co.uk/translation)

</details>

<details>

<summary>Match Styles</summary>

`/settings2 style match_styles [this] [with_this] (and_this)`

Use this to quickly match two or all of the styles together! Put the style you'd like to match the other ones to in the first selection (this), then either one or both the other styles into "with\_this" and "and\_this" to set them to the same as the style in "this".&#x20;

</details>

<details>

<summary>Set Automatic Translation Style</summary>

`/settings2 style automatic_set [option]`

Set the style for all translations done automatically.

</details>

<details>

<summary>Set Command Translation Style</summary>

`/settings2 style command_set`

Set the style for all translations done via the [translation command](/basic-usage-and-setup/basic-slash-commands.md#translate-language-text-to-translate).

</details>

<details>

<summary>Set Reaction Translation Style</summary>

`/settings2 style reaction_set`

Set the style for all translations done via reaction.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.jakebot.co.uk/slightly-more-advanced-settings/styling-results.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
